Batch import of account balances
curl --request POST \
--url 'https://{{baseUrl}}/amlyze-ws-rest/batch-account-balances' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountBalances": [
{
"communicationNumber": "commNumber0",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
},
{
"communicationNumber": "commNumber1",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ACC_744251ab-d599-473e-a79f-8bd993a8b33e",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111
}
]
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/batch-account-balances"
payload = { "accountBalances": [
{
"communicationNumber": "commNumber0",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
},
{
"communicationNumber": "commNumber1",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ACC_744251ab-d599-473e-a79f-8bd993a8b33e",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountBalances: [
{
communicationNumber: 'commNumber0',
requester: 'financial_institution',
balanceType: 'STATEMENT_BALANCE',
accountExtId: 'ORG20231117550',
businessUnit: 'sandbox',
balanceAt: '2023-09-05T08:07:34.605Z',
value: 11111111111,
equivalentValue: 33333
},
{
communicationNumber: 'commNumber1',
requester: 'financial_institution',
balanceType: 'STATEMENT_BALANCE',
accountExtId: 'ACC_744251ab-d599-473e-a79f-8bd993a8b33e',
businessUnit: 'sandbox',
balanceAt: '2023-09-05T08:07:34.605Z',
value: 11111111111
}
]
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/batch-account-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"resultType": "REQUEST_ACCEPTED",
"communicationNumber": "comNumber0",
"accountExtId": "accountExtId0",
"businessUnit": "sandbox",
"timeElapsedMs": 203
},
{
"resultType": "REQUEST_REJECTED",
"communicationNumber": "comNumber1",
"accountExtId": "accountExtId1",
"businessUnit": "sandbox",
"errorCode": "O005",
"errorDescription": "CommunicationNumber already used in AMLYZE",
"timeElapsedMs": 20
}
],
"timeElapsedMs": 223
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "extId is mandatory"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/batch-account-balances"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Account
Batch import of account balances
POST
/
amlyze-ws-rest
/
batch-account-balances
Batch import of account balances
curl --request POST \
--url 'https://{{baseUrl}}/amlyze-ws-rest/batch-account-balances' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"accountBalances": [
{
"communicationNumber": "commNumber0",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
},
{
"communicationNumber": "commNumber1",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ACC_744251ab-d599-473e-a79f-8bd993a8b33e",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111
}
]
}
'import requests
url = "https://{{baseUrl}}/amlyze-ws-rest/batch-account-balances"
payload = { "accountBalances": [
{
"communicationNumber": "commNumber0",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ORG20231117550",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111,
"equivalentValue": 33333
},
{
"communicationNumber": "commNumber1",
"requester": "financial_institution",
"balanceType": "STATEMENT_BALANCE",
"accountExtId": "ACC_744251ab-d599-473e-a79f-8bd993a8b33e",
"businessUnit": "sandbox",
"balanceAt": "2023-09-05T08:07:34.605Z",
"value": 11111111111
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
accountBalances: [
{
communicationNumber: 'commNumber0',
requester: 'financial_institution',
balanceType: 'STATEMENT_BALANCE',
accountExtId: 'ORG20231117550',
businessUnit: 'sandbox',
balanceAt: '2023-09-05T08:07:34.605Z',
value: 11111111111,
equivalentValue: 33333
},
{
communicationNumber: 'commNumber1',
requester: 'financial_institution',
balanceType: 'STATEMENT_BALANCE',
accountExtId: 'ACC_744251ab-d599-473e-a79f-8bd993a8b33e',
businessUnit: 'sandbox',
balanceAt: '2023-09-05T08:07:34.605Z',
value: 11111111111
}
]
})
};
fetch('https://{{baseUrl}}/amlyze-ws-rest/batch-account-balances', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"results": [
{
"resultType": "REQUEST_ACCEPTED",
"communicationNumber": "comNumber0",
"accountExtId": "accountExtId0",
"businessUnit": "sandbox",
"timeElapsedMs": 203
},
{
"resultType": "REQUEST_REJECTED",
"communicationNumber": "comNumber1",
"accountExtId": "accountExtId1",
"businessUnit": "sandbox",
"errorCode": "O005",
"errorDescription": "CommunicationNumber already used in AMLYZE",
"timeElapsedMs": 20
}
],
"timeElapsedMs": 223
}{
"resultType": "REQUEST_REJECTED",
"errorCode": "O001",
"errorDescription": "extId is mandatory"
}{
"timestamp": "2024-05-26T16:49:50.237+00:00",
"status": 404,
"error": "Not Found",
"path": "/amlyze-ws-rest/batch-account-balances"
}{
"resultType": "REQUEST_REJECTED",
"status": 500,
"error": "Internal Server Error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A list of account balances to register
Show child attributes
Show child attributes
⌘I